Forum Xamarin.Android

Announcement:

The Xamarin Forums have officially moved to the new Microsoft Q&A experience. Microsoft Q&A is the home for technical questions and answers at across all products at Microsoft now including Xamarin!

To create new threads and ask questions head over to Microsoft Q&A for .NET and get involved today.

Exception: Could not activate JNI Handle - only on API <26

Hey fellow devs,

I'm currently working on a Philips HUE project and I therefore included the Guruumeditation/ColorPicker
github.com/Guruumeditation/ColorPicker/

Today I got surpised however, when trying to run my app on API level 25 or less, I get the following error thrown.

Unhandled Exception:
System.NotSupportedException: Could not activate JNI Handle 0x7fff06fdec60 (key_handle 0x7189b2a) of Java type 'md5e153155546270d1e710ef1c8ba10a45d/ColorPickerView' as managed type 'Net.ArcanaStudio.ColorPicker.ColorPickerView'. occurred

It's pretty important for me to include this picker, since I couldn't find anything that's nearly as good as this one.

Do you know what I have to fix, or if it is fixable? It runs perfectly on Android 8.0 but that can't be my min API level. Maybe you guys could test that, I already did and couldn't find an answer.
Also, if you have any suggestions for a similar picker and a good range slider (which I'm also looking for), please let me know.

Thanks in advance,

Benny

Sign In or Register to comment.